Subject: Re: bug#13321: 24.3.0.50; Gmail error when replying from Gnus to github

From: Katsumi Yamaoka <[email-masked]>
Date: Mon, 25 Feb 2013 15:59:46 +0900

Thierry Volpiatto wrote:
> Katsumi Yamaoka <[email-masked]> writes:
>> Ok, I'll surely try it.

I tried the last patch.

[...]
> ,----[ Replying on github ]
>| A "reply-to" header exists:
>|
>| From: Le Wang <[email-masked]>
>| Reply-To: emacs-helm/helm
>| <[email-masked]>
>| To: emacs-helm/helm <[email-masked]>
>|
>| I send a reply with my patch applied:
>|
>| From: Thierry Volpiatto <[email-masked]>
>| To: emacs-helm/helm
>| <[email-masked]>
>| Cc: emacs-helm/helm <[email-masked]>

Why this /wide reply/ doesn't go to "Le Wang"?  Even if Le Wang
is a subscriber, a regular visitor, or a staff of the Emacs Helm
list, don't we usually include the author of an original mail in
the recipients list if it is a wide reply?  Otherwise if Le Wang's
address is invalid and you want Gnus to exclude it from the recipients
list, you can use the user option `message-dont-reply-to-names'.

>| I send a reply with actual code (bug)
>|
>| From: Thierry Volpiatto <[email-masked]>
>| To: Le Wang <[email-masked]>
>| Cc: emacs-helm/helm <[email-masked]>, emacs-helm/helm
>| <[email-masked]>
> `----

Is it ok that both the cases contain <[email-masked]>?
You can omit it as well using `message-dont-reply-to-names' (if
you want).